Loading...
Searching...
No Matches
rotamer.cpp File Reference
`#include <openbabel/babelconfig.h>`
`#include <openbabel/mol.h>`
`#include <openbabel/atom.h>`
`#include <openbabel/ring.h>`
`#include <openbabel/obiter.h>`
`#include <openbabel/rotamer.h>`

## Namespaces

namespace | OpenBabel

## Macros

#define | OB_TITLE_SIZE 254
#define | OB_BINARY_SETWORD 32

## Functions

double | rint (double x)
void | SetRotorToAngle (double *c, OBAtom **ref, double ang, vector< int > atoms)
int | Swab (int)
int | PackCoordinate (double c[3], double max[3])
void | UnpackCoordinate (double c[3], double max[3], int tmp)

## Variables

static int | SINT = 0x00000001
static unsigned char * | STPTR = (unsigned char*)&SINT

## Detailed Description

Handle rotamer list data.

## Macro Definition Documentation

## OB_TITLE_SIZE

#define OB_TITLE_SIZE 254

## OB_BINARY_SETWORD

#define OB_BINARY_SETWORD 32